Package fr.gouv.vitam.common.thread

# Class VitamThreadFactory.VitamThread

java.lang.Object
java.lang.Thread
fr.gouv.vitam.common.thread.VitamThreadFactory.VitamThread

All Implemented Interfaces:
  `Runnable`

Enclosing class:
  `VitamThreadFactory`

public static class VitamThreadFactory.VitamThread extends Thread
Vitam Thread implementation ; mainly used to attach a threadlocal session to it.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Thread

  `Thread.Builder, Thread.State, Thread.UncaughtExceptionHandler`

- ## Field Summary

  ### Fields inherited from class java.lang.Thread

  `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VitamThread(Runnable runnable, long rank)`
  Thread constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `@NotNull VitamSession`
  `getVitamSession()`

  ### Methods inherited from class java.lang.Thread

  `activeCount, checkAccess, clone, countStackFrames, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, isVirtual, join, join, join, join, ofPlatform, ofVirtual, onSpinWait, resume, run, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, sleep, start, startVirtualThread, stop, suspend, threadId, toString, yield`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### VitamThread

    public VitamThread(Runnable runnable, long rank)
    Thread constructor
    Parameters:
      `runnable` - the real runnable
      `rank` - the thread rank

- ## Method Details

  - ### getVitamSession

    @NotNull public @NotNull VitamSession getVitamSession()
    Returns:
      the ThreadLocal ; never returns null.